%global debug_package %{nil}
%global _enable_debug_package 0
%global ori_name ngx_cache_purge

Name:           nginx-mod-cache-purge
Version:        2.5.3
Release:        99%{?dist}
Summary:        NGINX module purge ngx_http_(fastcgi|proxy|scgi|uwsgi)_module backend cache

License:        BSD-2-Clause
URL:            https://github.com/nginx-modules/ngx_cache_purge
Source0:        %{url}/archive/%{version}/%{ori_name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  nginx-mod-devel
Requires:       nginx

%description
%{summary}.

ngx_cache_purge is NGINX module which adds ability to purge content from
FastCGI, proxy, SCGI and uWSGI caches. A purge operation removes the content
with the same cache key as the purge request has.

%prep
%autosetup -n %{ori_name}-%{version}

%build
%nginx_modconfigure
%nginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_cache_purge_module.so %{buildroot}%{nginx_moddir}
install -dm 0755 %{buildroot}%{nginx_modconfdir}
echo 'load_module "%{nginx_moddir}/ngx_http_cache_purge_module.so";' \
    > %{buildroot}%{nginx_modconfdir}/mod-cache-purge.conf
popd


%files
%doc README.md
%{nginx_moddir}/ngx_http_cache_purge_module.so
%{nginx_modconfdir}/mod-cache-purge.conf


%changelog
* Wed May 28 2025 Denis Denisov <denji0k@gmail.com> - 2.5.3
- Initial packaging
